For the complete documentation index, see llms.txt. This page is also available as Markdown.

Drives

List Drives

get

Retrieve a list of all file access drives.

Query parameters
SiteIdinteger · int32Optional

Site ID for which to retrieve file access drives (optional)

NamestringOptional

Filter the result by name (optional)

Responses
200

Success

application/json; api-version=1.0

File Access drive

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

inheritMaintenancebooleanOptional

Inherit Maintenance.

replicateMaintenancebooleanOptional

Replicate Maintenance.

namestring · nullableOptional

Name of the published item.

typestring · enumOptional

RAS File Access Objects

Possible values:
parentIdinteger · int32Optional

ID of the parent folder of the published item.

previousIdinteger · int32Optional

ID of the previous published item.

descriptionstring · nullableOptional

Description of the published item.

enabledModestring · enumOptional

Published resource availability modes.

Possible values:
enabledbooleanOptional

Whether the published item is enabled or not.

publishToSiteinteger · int32[] · nullableOptional

List of the IDs of all the sites this item is published to.

smbPathstring · nullableOptional

SMB path configured for the file access drive.

get/api/FileAccess/Drives
GET /api/FileAccess/Drives HTTP/1.1
Accept: */*
[
  {
    "id": 1,
    "adminCreate": "text",
    "adminLastMod": "text",
    "timeCreate": "2026-01-01T00:00:00.000Z",
    "timeLastMod": "2026-01-01T00:00:00.000Z",
    "maintenanceMessages": {
      "maintenanceMessage_en_US": "text",
      "maintenanceMessage_ja_JP": "text",
      "maintenanceMessage_fr_FR": "text",
      "maintenanceMessage_es_ES": "text",
      "maintenanceMessage_it_IT": "text",
      "maintenanceMessage_pt_BR": "text",
      "maintenanceMessage_nl_NL": "text",
      "maintenanceMessage_zh_TW": "text",
      "maintenanceMessage_zh_CN": "text",
      "maintenanceMessage_ko_KR": "text",
      "maintenanceMessage_de_DE": "text"
    },
    "inheritMaintenance": true,
    "replicateMaintenance": true,
    "name": "text",
    "type": [
      "0 = Any",
      "1 = Folder",
      "2 = Drive"
    ],
    "parentId": 1,
    "previousId": 1,
    "description": "text",
    "enabledMode": [
      "0 = Disabled",
      "1 = Enabled",
      "2 = Maintenance"
    ],
    "enabled": true,
    "publishToSite": [
      1
    ],
    "filter": {
      "rules": [
        {
          "id": 1,
          "priority": 1,
          "enabled": true,
          "name": "text",
          "description": "text",
          "criteria": {
            "securityPrincipals": {
              "enabled": true,
              "matchingMode": [
                "0 = IsNotOneOfTheFollowing",
                "1 = IsOneOfTheFollowing"
              ],
              "members": [
                {
                  "account": "text",
                  "type": [
                    "1 = User",
                    "2 = Group",
                    "3 = ForeignSecurityPrincipal",
                    "4 = Computer"
                  ],
                  "sid": "text"
                }
              ]
            },
            "gateways": {
              "enabled": true,
              "matchingMode": [
                "0 = IsNotOneOfTheFollowing",
                "1 = IsOneOfTheFollowing"
              ],
              "members": [
                {
                  "gatewayIP": "text"
                }
              ]
            },
            "oSs": {
              "enabled": true,
              "matchingMode": [
                "0 = IsNotOneOfTheFollowing",
                "1 = IsOneOfTheFollowing"
              ],
              "allowedOSes": {
                "android": true,
                "webClient": true,
                "iOS": true,
                "linux": true,
                "mac": true,
                "wyse": true,
                "windows": true
              }
            },
            "iPs": {
              "enabled": true,
              "matchingMode": [
                "0 = IsNotOneOfTheFollowing",
                "1 = IsOneOfTheFollowing"
              ],
              "allowedIPs": {
                "iPv4s": [
                  {
                    "from": "text",
                    "to": "text"
                  }
                ],
                "iPv6s": [
                  {
                    "from": "text",
                    "to": "text"
                  }
                ]
              }
            },
            "hardwareIDs": {
              "enabled": true,
              "matchingMode": [
                "0 = IsNotOneOfTheFollowing",
                "1 = IsOneOfTheFollowing"
              ],
              "members": [
                {
                  "hardwareID": "text"
                }
              ]
            },
            "access": [
              "0 = DenyCriteriaWhen",
              "1 = AllowCriteriaWhen"
            ],
            "devices": {
              "enabled": true,
              "matchingMode": [
                "0 = IsNotOneOfTheFollowing",
                "1 = IsOneOfTheFollowing"
              ],
              "members": [
                {
                  "client": "text"
                }
              ]
            },
            "themes": {
              "enabled": true,
              "matchingMode": [
                "0 = IsNotOneOfTheFollowing",
                "1 = IsOneOfTheFollowing"
              ],
              "ids": [
                1
              ]
            }
          }
        }
      ],
      "default": [
        "0 = Deny",
        "1 = Allow"
      ]
    },
    "smbPath": "text"
  }
]

Create Drive

post

Add a file access drive to a site.

Body

Input model for creating a File Access drive item.

replicateMaintenanceboolean · nullableOptional

Whether the option 'Replicate Maintenance' is enabled or not.

inheritMaintenanceboolean · nullableOptional

Whether to inherit default Maintenance settings.

enabledModestring · enumOptional

Published resource availability modes.

Possible values:
maintenanceMessage_en_USstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in English.

maintenanceMessage_ja_JPstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Japanese.

maintenanceMessage_fr_FRstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in French.

maintenanceMessage_es_ESstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Spanish.

maintenanceMessage_it_ITstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Italian.

maintenanceMessage_pt_BRstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Portuguese.

maintenanceMessage_de_DEstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in German.

maintenanceMessage_nl_NLstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Dutch.

maintenanceMessage_zh_TWstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Chinese (Traditional).

maintenanceMessage_zh_CNstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Chinese (Simplified).

maintenanceMessage_ko_KRstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Korean.

descriptionstring · nullableOptional

Published resource description.

publishToSiteIdsinteger · int32[] · nullableOptional

An array of Sites IDs to which to publish a resource.

siteIdinteger · int32Optional

Site ID in which to publish the specified Item. If the parameter is omitted, the site ID of the Licensing Server will be used.

namestring · min: 1 · max: 255 · nullableRequired

File access item name.

parentIdinteger · int32 · nullableOptional

Parent file access folder ID.

previousIdinteger · int32 · nullableOptional

Previous file access item ID.

smbPathstring · min: 1 · max: 255 · nullableRequired

UNC path of the shared drive.

Responses
201

Created

application/json; api-version=1.0

File Access drive

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

inheritMaintenancebooleanOptional

Inherit Maintenance.

replicateMaintenancebooleanOptional

Replicate Maintenance.

namestring · nullableOptional

Name of the published item.

typestring · enumOptional

RAS File Access Objects

Possible values:
parentIdinteger · int32Optional

ID of the parent folder of the published item.

previousIdinteger · int32Optional

ID of the previous published item.

descriptionstring · nullableOptional

Description of the published item.

enabledModestring · enumOptional

Published resource availability modes.

Possible values:
enabledbooleanOptional

Whether the published item is enabled or not.

publishToSiteinteger · int32[] · nullableOptional

List of the IDs of all the sites this item is published to.

smbPathstring · nullableOptional

SMB path configured for the file access drive.

post/api/FileAccess/Drives
POST /api/FileAccess/Drives HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 606

{
  "replicateMaintenance": true,
  "inheritMaintenance": true,
  "enabledMode": [
    "0 = Disabled",
    "1 = Enabled",
    "2 = Maintenance"
  ],
  "maintenanceMessage_en_US": "text",
  "maintenanceMessage_ja_JP": "text",
  "maintenanceMessage_fr_FR": "text",
  "maintenanceMessage_es_ES": "text",
  "maintenanceMessage_it_IT": "text",
  "maintenanceMessage_pt_BR": "text",
  "maintenanceMessage_de_DE": "text",
  "maintenanceMessage_nl_NL": "text",
  "maintenanceMessage_zh_TW": "text",
  "maintenanceMessage_zh_CN": "text",
  "maintenanceMessage_ko_KR": "text",
  "description": "text",
  "publishToSiteIds": [
    1
  ],
  "siteId": 1,
  "name": "text",
  "parentId": 1,
  "previousId": 1,
  "smbPath": "text"
}
{
  "id": 1,
  "adminCreate": "text",
  "adminLastMod": "text",
  "timeCreate": "2026-01-01T00:00:00.000Z",
  "timeLastMod": "2026-01-01T00:00:00.000Z",
  "maintenanceMessages": {
    "maintenanceMessage_en_US": "text",
    "maintenanceMessage_ja_JP": "text",
    "maintenanceMessage_fr_FR": "text",
    "maintenanceMessage_es_ES": "text",
    "maintenanceMessage_it_IT": "text",
    "maintenanceMessage_pt_BR": "text",
    "maintenanceMessage_nl_NL": "text",
    "maintenanceMessage_zh_TW": "text",
    "maintenanceMessage_zh_CN": "text",
    "maintenanceMessage_ko_KR": "text",
    "maintenanceMessage_de_DE": "text"
  },
  "inheritMaintenance": true,
  "replicateMaintenance": true,
  "name": "text",
  "type": [
    "0 = Any",
    "1 = Folder",
    "2 = Drive"
  ],
  "parentId": 1,
  "previousId": 1,
  "description": "text",
  "enabledMode": [
    "0 = Disabled",
    "1 = Enabled",
    "2 = Maintenance"
  ],
  "enabled": true,
  "publishToSite": [
    1
  ],
  "filter": {
    "rules": [
      {
        "id": 1,
        "priority": 1,
        "enabled": true,
        "name": "text",
        "description": "text",
        "criteria": {
          "securityPrincipals": {
            "enabled": true,
            "matchingMode": [
              "0 = IsNotOneOfTheFollowing",
              "1 = IsOneOfTheFollowing"
            ],
            "members": [
              {
                "account": "text",
                "type": [
                  "1 = User",
                  "2 = Group",
                  "3 = ForeignSecurityPrincipal",
                  "4 = Computer"
                ],
                "sid": "text"
              }
            ]
          },
          "gateways": {
            "enabled": true,
            "matchingMode": [
              "0 = IsNotOneOfTheFollowing",
              "1 = IsOneOfTheFollowing"
            ],
            "members": [
              {
                "gatewayIP": "text"
              }
            ]
          },
          "oSs": {
            "enabled": true,
            "matchingMode": [
              "0 = IsNotOneOfTheFollowing",
              "1 = IsOneOfTheFollowing"
            ],
            "allowedOSes": {
              "android": true,
              "webClient": true,
              "iOS": true,
              "linux": true,
              "mac": true,
              "wyse": true,
              "windows": true
            }
          },
          "iPs": {
            "enabled": true,
            "matchingMode": [
              "0 = IsNotOneOfTheFollowing",
              "1 = IsOneOfTheFollowing"
            ],
            "allowedIPs": {
              "iPv4s": [
                {
                  "from": "text",
                  "to": "text"
                }
              ],
              "iPv6s": [
                {
                  "from": "text",
                  "to": "text"
                }
              ]
            }
          },
          "hardwareIDs": {
            "enabled": true,
            "matchingMode": [
              "0 = IsNotOneOfTheFollowing",
              "1 = IsOneOfTheFollowing"
            ],
            "members": [
              {
                "hardwareID": "text"
              }
            ]
          },
          "access": [
            "0 = DenyCriteriaWhen",
            "1 = AllowCriteriaWhen"
          ],
          "devices": {
            "enabled": true,
            "matchingMode": [
              "0 = IsNotOneOfTheFollowing",
              "1 = IsOneOfTheFollowing"
            ],
            "members": [
              {
                "client": "text"
              }
            ]
          },
          "themes": {
            "enabled": true,
            "matchingMode": [
              "0 = IsNotOneOfTheFollowing",
              "1 = IsOneOfTheFollowing"
            ],
            "ids": [
              1
            ]
          }
        }
      }
    ],
    "default": [
      "0 = Deny",
      "1 = Allow"
    ]
  },
  "smbPath": "text"
}

Get Drive

get

Retrieve information about a specified file access drive.

Path parameters
idinteger · int32Required

ID of the file access drive to be retrieved

Responses
200

Success

application/json; api-version=1.0

File Access drive

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

inheritMaintenancebooleanOptional

Inherit Maintenance.

replicateMaintenancebooleanOptional

Replicate Maintenance.

namestring · nullableOptional

Name of the published item.

typestring · enumOptional

RAS File Access Objects

Possible values:
parentIdinteger · int32Optional

ID of the parent folder of the published item.

previousIdinteger · int32Optional

ID of the previous published item.

descriptionstring · nullableOptional

Description of the published item.

enabledModestring · enumOptional

Published resource availability modes.

Possible values:
enabledbooleanOptional

Whether the published item is enabled or not.

publishToSiteinteger · int32[] · nullableOptional

List of the IDs of all the sites this item is published to.

smbPathstring · nullableOptional

SMB path configured for the file access drive.

get/api/FileAccess/{id}/Drives
GET /api/FileAccess/{id}/Drives HTTP/1.1
Accept: */*
{
  "id": 1,
  "adminCreate": "text",
  "adminLastMod": "text",
  "timeCreate": "2026-01-01T00:00:00.000Z",
  "timeLastMod": "2026-01-01T00:00:00.000Z",
  "maintenanceMessages": {
    "maintenanceMessage_en_US": "text",
    "maintenanceMessage_ja_JP": "text",
    "maintenanceMessage_fr_FR": "text",
    "maintenanceMessage_es_ES": "text",
    "maintenanceMessage_it_IT": "text",
    "maintenanceMessage_pt_BR": "text",
    "maintenanceMessage_nl_NL": "text",
    "maintenanceMessage_zh_TW": "text",
    "maintenanceMessage_zh_CN": "text",
    "maintenanceMessage_ko_KR": "text",
    "maintenanceMessage_de_DE": "text"
  },
  "inheritMaintenance": true,
  "replicateMaintenance": true,
  "name": "text",
  "type": [
    "0 = Any",
    "1 = Folder",
    "2 = Drive"
  ],
  "parentId": 1,
  "previousId": 1,
  "description": "text",
  "enabledMode": [
    "0 = Disabled",
    "1 = Enabled",
    "2 = Maintenance"
  ],
  "enabled": true,
  "publishToSite": [
    1
  ],
  "filter": {
    "rules": [
      {
        "id": 1,
        "priority": 1,
        "enabled": true,
        "name": "text",
        "description": "text",
        "criteria": {
          "securityPrincipals": {
            "enabled": true,
            "matchingMode": [
              "0 = IsNotOneOfTheFollowing",
              "1 = IsOneOfTheFollowing"
            ],
            "members": [
              {
                "account": "text",
                "type": [
                  "1 = User",
                  "2 = Group",
                  "3 = ForeignSecurityPrincipal",
                  "4 = Computer"
                ],
                "sid": "text"
              }
            ]
          },
          "gateways": {
            "enabled": true,
            "matchingMode": [
              "0 = IsNotOneOfTheFollowing",
              "1 = IsOneOfTheFollowing"
            ],
            "members": [
              {
                "gatewayIP": "text"
              }
            ]
          },
          "oSs": {
            "enabled": true,
            "matchingMode": [
              "0 = IsNotOneOfTheFollowing",
              "1 = IsOneOfTheFollowing"
            ],
            "allowedOSes": {
              "android": true,
              "webClient": true,
              "iOS": true,
              "linux": true,
              "mac": true,
              "wyse": true,
              "windows": true
            }
          },
          "iPs": {
            "enabled": true,
            "matchingMode": [
              "0 = IsNotOneOfTheFollowing",
              "1 = IsOneOfTheFollowing"
            ],
            "allowedIPs": {
              "iPv4s": [
                {
                  "from": "text",
                  "to": "text"
                }
              ],
              "iPv6s": [
                {
                  "from": "text",
                  "to": "text"
                }
              ]
            }
          },
          "hardwareIDs": {
            "enabled": true,
            "matchingMode": [
              "0 = IsNotOneOfTheFollowing",
              "1 = IsOneOfTheFollowing"
            ],
            "members": [
              {
                "hardwareID": "text"
              }
            ]
          },
          "access": [
            "0 = DenyCriteriaWhen",
            "1 = AllowCriteriaWhen"
          ],
          "devices": {
            "enabled": true,
            "matchingMode": [
              "0 = IsNotOneOfTheFollowing",
              "1 = IsOneOfTheFollowing"
            ],
            "members": [
              {
                "client": "text"
              }
            ]
          },
          "themes": {
            "enabled": true,
            "matchingMode": [
              "0 = IsNotOneOfTheFollowing",
              "1 = IsOneOfTheFollowing"
            ],
            "ids": [
              1
            ]
          }
        }
      }
    ],
    "default": [
      "0 = Deny",
      "1 = Allow"
    ]
  },
  "smbPath": "text"
}

Update Drive

put

Modify properties of a file access drive.

Path parameters
idinteger · int32Required

ID of the file access drive to be updated

Body

Input model for updating a File Access drive item.

replicateMaintenanceboolean · nullableOptional

Replicate Maintenance

inheritMaintenanceboolean · nullableOptional

Inherit Maintenance

enabledModestring · enumOptional

Published resource availability modes.

Possible values:
maintenanceMessage_en_USstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in English.

maintenanceMessage_ja_JPstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Japanese.

maintenanceMessage_fr_FRstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in French.

maintenanceMessage_es_ESstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Spanish.

maintenanceMessage_it_ITstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Italian.

maintenanceMessage_pt_BRstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Portuguese.

maintenanceMessage_nl_NLstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Dutch.

maintenanceMessage_de_DEstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in German.

maintenanceMessage_zh_TWstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Chinese (Traditional).

maintenanceMessage_zh_CNstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Chinese (Simplified).

maintenanceMessage_ko_KRstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Korean.

descriptionstring · nullableOptional

Published resource description.

publishToSiteIdsinteger · int32[] · nullableOptional

An array of sites to which to publish a resource.

namestring · min: 1 · max: 255 · nullableOptional

A new name to assign to the file access item.

smbPathstring · min: 1 · max: 255 · nullableOptional

UNC path of the shared drive.

Responses
204

No Content

No content

put/api/FileAccess/{id}/Drives
PUT /api/FileAccess/{id}/Drives HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 567

{
  "replicateMaintenance": true,
  "inheritMaintenance": true,
  "enabledMode": [
    "0 = Disabled",
    "1 = Enabled",
    "2 = Maintenance"
  ],
  "maintenanceMessage_en_US": "text",
  "maintenanceMessage_ja_JP": "text",
  "maintenanceMessage_fr_FR": "text",
  "maintenanceMessage_es_ES": "text",
  "maintenanceMessage_it_IT": "text",
  "maintenanceMessage_pt_BR": "text",
  "maintenanceMessage_nl_NL": "text",
  "maintenanceMessage_de_DE": "text",
  "maintenanceMessage_zh_TW": "text",
  "maintenanceMessage_zh_CN": "text",
  "maintenanceMessage_ko_KR": "text",
  "description": "text",
  "publishToSiteIds": [
    1
  ],
  "name": "text",
  "smbPath": "text"
}

No content

Delete Drive

delete

Delete a file access drive.

Path parameters
idinteger · int32Required

ID of the file access drive to be deleted

Responses
204

No Content

No content

delete/api/FileAccess/{id}/Drives
DELETE /api/FileAccess/{id}/Drives HTTP/1.1
Accept: */*

No content

Last updated